Changeset 2594 in /cluster/svnroot


Ignore:
Timestamp:
Aug 28, 2010 7:23:36 PM (10 years ago)
Author:
skylar
Message:

merging in virtualbox module (#463)

Location:
bccd-ng/trunk
Files:
2 deleted
2 edited
2 copied

Legend:

Unmodified
Added
Removed
  • bccd-ng/trunk/bin/build_livecd.pl

    r2589 r2594  
    649649if( ! -f "$BUILDDIR/usr/bin/python2" ) {
    650650    $Bccd->run_test(
    651         "symlink",
     651        "system",
    652652        "",
    653653        "Linked python->python2 for C3 tools.",
    654         "$BUILDDIR/usr/bin/python",
    655         "$BUILDDIR/usr/bin/python2",
     654        "/usr/sbin/chroot $BUILDDIR ln -s /usr/bin/python2.5 /usr/bin/python2",
     655        );
     656}
     657
     658$Bccd->run_test(
     659    "system",
     660    "",
     661    "Linked VBoxService into /usr/sbin.",
     662    "/usr/sbin/chroot $BUILDDIR ln -s /opt/VBoxGuestAdditions-3.2.8/sbin/VBoxService /usr/sbin/VBoxService",
     663    );
     664
     665foreach my $vb ("VBoxClient","VBoxControl") {
     666    $Bccd->run_test(
     667        "system",
     668        "",
     669        "Linked $vb into /usr/bin.",
     670        "/usr/sbin/chroot $BUILDDIR ln -s /opt/VBoxGuestAdditions-3.2.8/bin/$vb /usr/bin/$vb",
    656671        );
    657672}
     
    709724    );
    710725
    711 foreach my $script ( "nis", "ssh-host-keys", "nfs-kernel-server", "ssh",
    712                      "dhcp3-server", "dbus", "hal", "apache2", ) {
     726foreach my $script ("nis", "ssh-host-keys", "nfs-kernel-server", "ssh",
     727                    "dhcp3-server", "dbus", "hal", "apache2",) {
    713728    $Bccd->run_test(
    714729        "system",
     
    719734}
    720735
    721 foreach my $script ( "nfs-common", "vboxadd-service", "mpd", "bccd-mount-devs", "bccd-mail",) {
    722 
     736foreach my $script ("nfs-common", "mpd", "bccd-mount-devs",) {
    723737    $Bccd->run_test(
    724738        "system",
     
    730744
    731745# This must run before 20 (bccd-passwd) and autofs
    732 foreach my $script ( "bccd-keyboard", "bccd-unite-sw", "perfctr", ) {
     746foreach my $script ("bccd-unite-sw", "perfctr",) {
    733747    $Bccd->run_test(
    734748        "system",
     
    738752        );
    739753}
     754
     755# Based on virtualbox install script
     756foreach my $script ("vboxadd","vboxadd-x11",) {
     757    $Bccd->run_test(
     758        "system",
     759        "",
     760        "Enabling $script config.",
     761        "/usr/sbin/chroot $BUILDDIR /usr/sbin/update-rc.d $script defaults 30",
     762        );
     763}
     764
     765$Bccd->run_test(
     766    "system",
     767    "",
     768    "Enabling vboxadd-service config.",
     769    "/usr/sbin/chroot $BUILDDIR /usr/sbin/update-rc.d vboxadd-service defaults 35",
     770    );
    740771
    741772$Bccd->run_test(
     
    827858    "system",
    828859    "",
    829     "Created non-root user account.","/usr/sbin/chroot $BUILDDIR /usr/sbin/useradd -s /bin/bash -G fuse,adm -u 1000 -g 1000 -d /home/$USER -m -p '\$1\$Agm0SXPB\$JnObEvwBQdg4WCovvMKST1' $USER",
     860    "Created non-root user account.",
     861    "/usr/sbin/chroot $BUILDDIR /usr/sbin/useradd -s /bin/bash -G fuse,adm -u 1000 -g 1000 -d /home/$USER -m -p '\$1\$Agm0SXPB\$JnObEvwBQdg4WCovvMKST1' $USER",
     862    );
     863
     864$Bccd->run_test(
     865    "system",
     866    "",
     867    "Created vbox user account.",
     868    "/usr/sbin/chroot $BUILDDIR /usr/sbin/useradd -s /bin/sh -G daemon -d /var/run/vboxadd vboxadd",
    830869    );
    831870
  • bccd-ng/trunk/trees/etc/init.d/vboxadd-service

    r2075 r2594  
    44# Linux Additions Guest Additions service daemon init script.
    55#
    6 # Copyright (C) 2006-2009 Sun Microsystems, Inc.
     6# Copyright (C) 2006-2009 Oracle Corporation
    77#
    88# This file is part of VirtualBox Open Source Edition (OSE), as
     
    1313# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
    1414# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
    15 #
    16 # Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa
    17 # Clara, CA 95054 USA or visit http://www.sun.com if you need
    18 # additional information or have any questions.
    1915#
    2016
     
    237233fi
    238234
    239 binary=/usr/sbin/vboxadd-service
    240 
    241 test -x "$binary" || {
    242     echo "Cannot run $binary"
    243     exit 1
     235binary=/usr/sbin/VBoxService
     236
     237testbinary() {
     238    test -x "$binary" || {
     239        echo "Cannot run $binary"
     240        exit 1
     241    }
    244242}
    245243
    246244vboxaddrunning() {
    247     lsmod | grep -q "vboxadd[^_-]"
     245    lsmod | grep -q "vboxguest[^_-]"
    248246}
    249247
     
    255253            exit 1
    256254        }
    257         daemon $binary
     255        testbinary
     256        daemon $binary > /dev/null
    258257        RETVAL=$?
    259         test $RETVAL -eq 0 && echo `pidof vboxadd-service` > $PIDFILE
     258        test $RETVAL -eq 0 && echo `pidof VBoxService` > $PIDFILE
    260259        succ_msg
    261260    fi
     
    283282
    284283    status() {
    285         echo -n "Checking for vboxadd-service"
     284        echo -n "Checking for VBoxService"
    286285        if [ -f $PIDFILE ]; then
    287286            echo " ...running"
     
    304303    status
    305304    ;;
     305setup)
     306    ;;
     307cleanup)
     308    ;;
    306309*)
    307310    echo "Usage: $0 {start|stop|restart|status}"
Note: See TracChangeset for help on using the changeset viewer.